import numpy as np


def get_numpy_stats(data: np.ndarray) -> dict[str, any]:
    return {
        'shape': data.shape,
        'dtype': data.dtype,
        'mean': np.mean(data),
        'std': np.std(data),
        'min': np.min(data),
        'max': np.max(data),
    }
